Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

# Class MandateRelatedInformationSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_002_02.MandateRelatedInformationSEPA

public class MandateRelatedInformationSEPA extends Object

Java class for MandateRelatedInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateRelatedInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtId" type="{urn:swift:xsd:$pain.002.002.02}Max35Text" minOccurs="0"/>
             <element name="DtOfSgntr" type="{urn:swift:xsd:$pain.002.002.02}ISODate" minOccurs="0"/>
             <element name="AmdmntInd" type="{urn:swift:xsd:$pain.002.002.02}TrueFalseIndicator" minOccurs="0"/>
             <element name="AmdmntInfDtls" type="{urn:swift:xsd:$pain.002.002.02}AmendmentInformationDetailsSEPA" minOccurs="0"/>
             <element name="ElctrncSgntr" type="{urn:swift:xsd:$pain.002.002.02}Max1025Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Boolean`
`amdmntInd`
`protected AmendmentInformationDetailsSEPA`
`amdmntInfDtls`
`protected XMLGregorianCalendar`
`dtOfSgntr`
`protected String`
`elctrncSgntr`
`protected String`
`mndtId`

## Constructor Summary

Constructors
Constructor
Description
`MandateRelatedInformationSEPA()`

## Method Summary

Modifier and Type
Method
Description
`AmendmentInformationDetailsSEPA`
`getAmdmntInfDtls()`
Gets the value of the amdmntInfDtls property.
`XMLGregorianCalendar`
`getDtOfSgntr()`
Gets the value of the dtOfSgntr property.
`String`
`getElctrncSgntr()`
Gets the value of the elctrncSgntr property.
`String`
`getMndtId()`
Gets the value of the mndtId property.
`Boolean`
`isAmdmntInd()`
Gets the value of the amdmntInd property.
`void`
`setAmdmntInd(Boolean value)`
Sets the value of the amdmntInd property.
`void`
`setAmdmntInfDtls(AmendmentInformationDetailsSEPA value)`
Sets the value of the amdmntInfDtls property.
`void`
`setDtOfSgntr(XMLGregorianCalendar value)`
Sets the value of the dtOfSgntr property.
`void`
`setElctrncSgntr(String value)`
Sets the value of the elctrncSgntr property.
`void`
`setMndtId(String value)`
Sets the value of the mndtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mndtId

protected String mndtId

### dtOfSgntr

protected XMLGregorianCalendar dtOfSgntr

### amdmntInd

protected Boolean amdmntInd

### amdmntInfDtls

protected AmendmentInformationDetailsSEPA amdmntInfDtls

### elctrncSgntr

protected String elctrncSgntr

## Constructor Details

### MandateRelatedInformationSEPA

public MandateRelatedInformationSEPA()

## Method Details

### getMndtId

public String getMndtId()
Gets the value of the mndtId property.

Returns:
  possible object is `String`

### setMndtId

public void setMndtId(String value)
Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

### getDtOfSgntr

public XMLGregorianCalendar getDtOfSgntr()
Gets the value of the dtOfSgntr property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDtOfSgntr

public void setDtOfSgntr(XMLGregorianCalendar value)
Sets the value of the dtOfSgntr property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### isAmdmntInd

public Boolean isAmdmntInd()
Gets the value of the amdmntInd property.

Returns:
  possible object is `Boolean`

### setAmdmntInd

public void setAmdmntInd(Boolean value)
Sets the value of the amdmntInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getAmdmntInfDtls

public AmendmentInformationDetailsSEPA getAmdmntInfDtls()
Gets the value of the amdmntInfDtls property.

Returns:
  possible object is `AmendmentInformationDetailsSEPA`

### setAmdmntInfDtls

public void setAmdmntInfDtls(AmendmentInformationDetailsSEPA value)
Sets the value of the amdmntInfDtls property.

Parameters:
  `value` - allowed object is `AmendmentInformationDetailsSEPA`

### getElctrncSgntr

public String getElctrncSgntr()
Gets the value of the elctrncSgntr property.

Returns:
  possible object is `String`

### setElctrncSgntr

public void setElctrncSgntr(String value)
Sets the value of the elctrncSgntr property.

Parameters:
  `value` - allowed object is `String`